Skip to main content
GET
/
v1
/
master-inbox
/
rooms
List chat rooms
curl --request GET \
  --url https://api.getmany.io/service/v1/master-inbox/rooms \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "roomId": "<string>",
      "roomName": "<string>",
      "topic": "<string>",
      "roomType": "<string>",
      "roomUsers": [
        {
          "user": {
            "id": "<string>",
            "nid": "<string>",
            "rid": "<string>",
            "name": "<string>",
            "photoUrl": "<string>"
          },
          "organization": {
            "id": "<string>",
            "name": "<string>",
            "type": "<string>",
            "photoUrl": "<string>"
          },
          "role": "<string>"
        }
      ],
      "lastStory": {
        "storyId": "<string>",
        "message": "<string>",
        "user": {
          "id": "<string>",
          "nid": "<string>",
          "rid": "<string>",
          "name": "<string>",
          "photoUrl": "<string>"
        },
        "createdDateTime": "2023-11-07T05:31:56Z",
        "updatedDateTime": "2023-11-07T05:31:56Z",
        "attachments": [
          {
            "objectReferenceId": "<string>",
            "objectType": "<string>",
            "createdDateTime": "2023-11-07T05:31:56Z",
            "author": {
              "user": {
                "id": "<string>",
                "nid": "<string>",
                "rid": "<string>",
                "name": "<string>",
                "photoUrl": "<string>"
              },
              "organization": {
                "id": "<string>",
                "name": "<string>",
                "type": "<string>",
                "photoUrl": "<string>"
              },
              "role": "<string>"
            },
            "metadata": [
              {
                "key": "<string>",
                "value": "<string>"
              }
            ]
          }
        ]
      },
      "unreadCount": 123,
      "organization": {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>",
        "photoUrl": "<string>"
      },
      "creator": {
        "user": {
          "id": "<string>",
          "nid": "<string>",
          "rid": "<string>",
          "name": "<string>",
          "photoUrl": "<string>"
        },
        "organization": {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "photoUrl": "<string>"
        },
        "role": "<string>"
      },
      "owner": {
        "user": {
          "id": "<string>",
          "nid": "<string>",
          "rid": "<string>",
          "name": "<string>",
          "photoUrl": "<string>"
        },
        "organization": {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "photoUrl": "<string>"
        },
        "role": "<string>"
      },
      "vendorProposal": {
        "id": "<string>",
        "userId": "<string>",
        "marketplaceJobPostingId": "<string>"
      },
      "contract": {
        "id": "<string>",
        "title": "<string>",
        "contractType": "<string>",
        "status": "<string>",
        "createdDateTime": "2023-11-07T05:31:56Z",
        "startDateTime": "2023-11-07T05:31:56Z",
        "endDateTime": "2023-11-07T05:31:56Z"
      },
      "contractId": "<string>",
      "roomNote": "<string>",
      "roomNotePresent": true,
      "isPublic": true,
      "favorite": true,
      "readOnly": true,
      "hidden": true,
      "muted": true,
      "blockDateTime": "2023-11-07T05:31:56Z",
      "blockedBy": {
        "user": {
          "id": "<string>",
          "nid": "<string>",
          "rid": "<string>",
          "name": "<string>",
          "photoUrl": "<string>"
        },
        "organization": {
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "photoUrl": "<string>"
        },
        "role": "<string>"
      },
      "lastStoryId": "<string>",
      "lastStoryAt": "2023-11-07T05:31:56Z",
      "lastSyncedAt": "2023-11-07T05:31:56Z",
      "numUsers": 123,
      "storiesCount": 123,
      "createdAtDateTime": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "pageSize": 123,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageCursor
string
pageSize
string
participants
string
sort
enum<string>
default:date-desc

Sort order for chat rooms.

Available options:
date-desc,
date-asc
clientMessageOnly
enum<string>
Available options:
true,
false

Response

Paginated chat rooms list

data
object[]
required
meta
object
required